## track 1.0-0

=== DESCRIPTION ===
Package: track
Version: 1.0-0
Date: 2010-12-04
Title: Track Objects
Author: Tony Plate <tplate@acm.org>
Maintainer: Tony Plate <tplate@acm.org>
Description: Automatically stores objects in files on disk so that
        files are rewritten when objects are changed, and so that
        objects are accessible but do not occupy memory until they are
        accessed. Keeps track of times when objects are created and
        modified, and caches some basic characteristics of objects to
        allow for fast summaries of objects.  Also provides a command
        history mechanism that saves the last command to a history file
        after each command completes.
License: GPL
Depends: R (>= 2.1.0)
Suggests: scriptests
Repository: CRAN
Repository/R-Forge/Project: trackobjs
Repository/R-Forge/Revision: 120
Date/Publication: 2011-01-21 08:46:27
Packaged: 2011-01-18 22:15:11 UTC; rforge

## track 0.2.1

=== debian/changelog ===
track (0.2.1) stable; urgency=medium

  * Add README
  * Add "track(1)" man page
  * Package as .deb files

 -- Vincent Neubauer <debian@vnbr.de>  Mon, 12 Jan 2026 00:24:27 +0100

track (0.2.0) stable; urgency=medium

  * Run multiple timers in parallel or switch between them

 -- Vincent Neubauer <debian@vnbr.de>  Sun, 14 Dec 2025 23:25:28 +0100

track (0.1.0) stable; urgency=medium

  * Record time spent on a specific topic and add individual comments
  * Start and stop timers to record on the fly
  * Run multiple timers in parallel or switch between them
  * Show a status summary of running timers
  * Integrates with Jira to query for issues and publish worklogs

 -- Vincent Neubauer <debian@vnbr.de>  Thu, 13 Nov 2025 22:28:02 +0100

=== debian/control ===
Source: track
Section: utils
Priority: optional
Maintainer: Vincent Neubauer <debian@vnbr.de>
Build-Depends:
    debhelper-compat (= 13),
    dh-golang,
    dh-sequence-golang,
    git,
    golang-any
Standards-Version: 4.7.0
Homepage: https://vnbr.de/track
Vcs-Browser: https://codeberg.org/dallyger/track
Vcs-Git: https://codeberg.org/dallyger/track.git
Rules-Requires-Root: no
XS-Go-Import-Path: vnbr.de/track

Package: track
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Record, manage and publish timesheets from the CLI.
 track lets you record time spend on various tasks categorized by topics.
 .
 - Record time spent on a specific topic and add individual comments
 - Start and stop timers to record on the fly
 - Run multiple timers in parallel or switch between them
 - Show a status summary of running timers
 - Integrates with Jira to query for issues and publish worklogs

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE = 1
export DH_GOLANG_INSTALL_EXTRA := internal/timer/sqlite/migrations vendor

GO_LDFLAGS := -ldflags '\
	-X "vnbr.de/track/internal/cmd.buildDate=$(shell date --iso-8601)" \
	-X "vnbr.de/track/internal/cmd.commit=$(shell git rev-parse --verify HEAD)" \
	-X "vnbr.de/track/internal/cmd.commitDate=$(shell git log -n 1 --pretty=format:'%cs')" \
	-X "vnbr.de/track/internal/cmd.version=$(DEB_VERSION_UPSTREAM)" \
	'

%:
	dh $@ --buildsystem=golang

execute_before_dh_auto_configure:
	go mod vendor

override_dh_auto_build:
	dh_auto_build -- $(GO_LDFLAGS)

## track 1.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: track
-Version: 1.0-0
-Date: 2010-12-04
+Version: 1.0-1
+Date: 2011-01-22
 Title: Track Objects
 Author: Tony Plate <tplate@acm.org>
 Maintainer: Tony Plate <tplate@acm.org>
@@ -17,6 +17,6 @@
 Suggests: scriptests
 Repository: CRAN
 Repository/R-Forge/Project: trackobjs
-Repository/R-Forge/Revision: 120
-Date/Publication: 2011-01-21 08:46:27
-Packaged: 2011-01-18 22:15:11 UTC; rforge
+Repository/R-Forge/Revision: 121
+Date/Publication: 2011-01-30 08:52:56
+Packaged: 2011-01-22 21:55:45 UTC; rforge

## track 1.0-11

=== DESCRIPTION ===
Package: track
Version: 1.0-11
Date: 2011-06-28
Title: Track Objects
Author: Tony Plate <tplate@acm.org>
Maintainer: Tony Plate <tplate@acm.org>
Description: Automatically stores objects in files on disk
  so that files are rewritten when objects are changed, and
  so that objects are accessible but do not occupy memory
  until they are accessed. Keeps track of times when objects
  are created and modified, and caches some basic
  characteristics of objects to allow for fast summaries of
  objects.  Also provides a command history mechanism that
  saves the last command to a history file after each
  command completes.
License: GPL
Depends: R (>= 2.1.0), methods
Suggests: scriptests
Packaged: 2011-11-30 03:10:04 UTC; tap
Repository: CRAN
Date/Publication: 2011-11-30 08:22:03

## track 1.0-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: track
-Version: 1.0-11
-Date: 2011-06-28
+Version: 1.0-12
+Date: 2011-12-07
 Title: Track Objects
 Author: Tony Plate <tplate@acm.org>
 Maintainer: Tony Plate <tplate@acm.org>
@@ -16,6 +16,6 @@
 License: GPL
 Depends: R (>= 2.1.0), methods
 Suggests: scriptests
-Packaged: 2011-11-30 03:10:04 UTC; tap
+Packaged: 2011-12-08 03:29:15 UTC; tap
 Repository: CRAN
-Date/Publication: 2011-11-30 08:22:03
+Date/Publication: 2011-12-09 09:16:28

## track 1.0-13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: track
-Version: 1.0-12
-Date: 2011-12-07
+Version: 1.0-13
+Date: 2011-12-10
 Title: Track Objects
 Author: Tony Plate <tplate@acm.org>
 Maintainer: Tony Plate <tplate@acm.org>
@@ -16,6 +16,6 @@
 License: GPL
 Depends: R (>= 2.1.0), methods
 Suggests: scriptests
-Packaged: 2011-12-08 03:29:15 UTC; tap
+Packaged: 2011-12-11 13:37:47 UTC; tap
 Repository: CRAN
-Date/Publication: 2011-12-09 09:16:28
+Date/Publication: 2011-12-11 13:41:17

## track 1.0-15

=== DESCRIPTION ===
Package: track
Version: 1.0-15
Date: 2012-04-12
Title: Track Objects
Author: Tony Plate <tplate@acm.org>
Maintainer: Tony Plate <tplate@acm.org>
Description: Automatically stores objects in files on disk so that
        files are rewritten when objects are changed, and so that
        objects are accessible but do not occupy memory until they are
        accessed. Keeps track of times when objects are created and
        modified, and caches some basic characteristics of objects to
        allow for fast summaries of objects.  Also provides a command
        history mechanism that saves the last command to a history file
        after each command completes.
License: GPL
Depends: R (>= 2.1.0), methods
Suggests: scriptests
Packaged: 2012-04-13 01:04:20 UTC; tap
Repository: CRAN
Date/Publication: 2012-04-13 05:22:04

## track 1.1.7

=== DESCRIPTION ===
Package: track
Version: 1.1.7
Date: 2015-05-07
Title: Store Objects on Disk Automatically
Author: Tony Plate <tplate@acm.org>
Maintainer: Tony Plate <tplate@acm.org>
Description: Automatically stores objects in files on disk
  so that files are rewritten when objects are changed, and
  so that objects are accessible but do not occupy memory
  until they are accessed. Keeps track of times when objects
  are created and modified, and caches some basic
  characteristics of objects to allow for fast summaries of
  objects.  Also provides a command history mechanism that
  saves the last command to a history file after each
  command completes.
License: GPL
Depends: R (>= 2.1.0), methods
Suggests: scriptests
NeedsCompilation: no
Packaged: 2015-03-14 17:23:20 UTC; tap
Repository: CRAN
Date/Publication: 2015-03-14 23:36:05

## track 1.1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: track
-Version: 1.1.7
-Date: 2015-05-07
+Version: 1.1.8
+Date: 2015-03-15
 Title: Store Objects on Disk Automatically
 Author: Tony Plate <tplate@acm.org>
 Maintainer: Tony Plate <tplate@acm.org>
@@ -17,6 +17,6 @@
 Depends: R (>= 2.1.0), methods
 Suggests: scriptests
 NeedsCompilation: no
-Packaged: 2015-03-14 17:23:20 UTC; tap
+Packaged: 2015-04-01 01:16:04 UTC; tap
 Repository: CRAN
-Date/Publication: 2015-03-14 23:36:05
+Date/Publication: 2015-04-01 08:19:21

## track 1.1.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: track
-Version: 1.1.8
-Date: 2015-03-15
+Version: 1.1.9
+Date: 2016-07-20
 Title: Store Objects on Disk Automatically
 Author: Tony Plate <tplate@acm.org>
 Maintainer: Tony Plate <tplate@acm.org>
@@ -17,6 +17,6 @@
 Depends: R (>= 2.1.0), methods
 Suggests: scriptests
 NeedsCompilation: no
-Packaged: 2015-04-01 01:16:04 UTC; tap
+Packaged: 2016-07-22 21:39:04 UTC; tap
 Repository: CRAN
-Date/Publication: 2015-04-01 08:19:21
+Date/Publication: 2016-07-23 00:05:49

## track analyzer-0.2

=== requirements.txt ===
pandas
matplotlib
scikit-image
scipy
seaborn
lmfit
napari[all]
tifffile
jupyter
ipyfilechooser
ipywidgets

## track analyzer-0.3

=== requirements.txt ===
pandas
matplotlib
scikit-image
scipy
seaborn >= 0.11.2
lmfit
napari[all]
tifffile
jupyter
ipyfilechooser
ipywidgets

## track analyzer-0.4

=== requirements.txt ===
pandas
matplotlib
scikit-image
scipy
seaborn >= 0.12
lmfit
napari[all]
tifffile
jupyter
ipyfilechooser
ipywidgets
tqdm
shapely

## track changes-0.8

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.8
# To update, run:
#
#    pip-compile --index-url=https://pypi.douban.com/simple/ --output-file=requirements.txt requirements.in
#
--index-url https://pypi.douban.com/simple/

fire==0.4.0
    # via -r requirements.in
jinja2==3.0.3
    # via -r requirements.in
markupsafe==2.0.1
    # via jinja2
six==1.16.0
    # via fire
termcolor==1.1.0
    # via fire
